(defun C:boesch (/ Grenze_oben Grenze_unten abstand abstand_total count p1 p2 ) (defun IS-ON-PL? (ENAME PKT /) (vl-catch-all-apply 'vlax-curve-getdistatpoint (list ENAME PKT ) ;_ end of list ) ;_ end of vlax-curve-getDistAtPoint PKT ) ;_ end defun (vl-load-com) (if (and (setq Grenze_oben (car (entsel "\nObere Grenzkante w�hlen: "))) (setq Grenze_unten (car (entsel "\nUntere Grenzkante w�hlen: "))) (setq abstand (getreal "\nSchraffurabstand:")) ) ;_ end of and (progn (setq abstand_total 0) (setq count 0) (setq p1 (vlax-curve-getStartPoint (vlax-ename->vla-object Grenze_oben) ) ;_ end of vlax-curve-getStartPoint ) ;_ end of setq (while p1 (if (equal (/ count 2.0) (fix (/ count 2.0)) 0.001) (setq p2 (vlax-curve-getClosestPointTo (vlax-ename->vla-object Grenze_unten) p1 ) ;_ end of vlax-curve-getClosestPointTo ) ;_ end of setq (setq p2 (MAPCAR '(LAMBDA (x) (/ x 2)) (MAPCAR '+ p1 (vlax-curve-getClosestPointTo (vlax-ename->vla-object Grenze_unten) p1 ) ;_ end of vlax-curve-getClosestPointTo ) ;_ end of MAPCAR ) ;_ end of MAPCAR ) ;_ end of setq ) ;_ end of if (entmake (list '(0 . "LINE") (cons 10 p1) (cons 11 p2) '(62 . 1) ) ;_ end of list ) ;_ end of entmake (if (setq p1 (IS-ON-PL? (vlax-ename->vla-object Grenze_oben) (vlax-curve-getpointatdist (vlax-ename->vla-object Grenze_oben) (setq abstand_total (+ abstand_total abstand)) ) ;_ end of vlax-curve-getpointatdist ) ;_ end of IS-ON-PL? ) ;_ end of setq p1 ) ;_ end of if (setq count (1+ count)) ) ;_ end of while ) ;_ end of progn ) ;_ end of if ) ;_ end of defun ;|�Visual LISP� Format Options� (72 2 40 1 T "end of " 60 9 0 0 0 nil T nil T) ;*** KEINEN Text unterhalb des Kommentars hinzuf�gen! ***|;